Condividi tramite


Solutions Discoverability - List

Ottenere l'elenco delle soluzioni Data Manager for Agriculture.

GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?api-version=2023-06-01-preview
GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?farmBeatsSolutionIds={farmBeatsSolutionIds}&farmBeatsSolutionNames={farmBeatsSolutionNames}&$maxPageSize={$maxPageSize}&api-version=2023-06-01-preview

Parametri dell'URI

Nome In Necessario Tipo Descrizione
api-version
query True

string

minLength: 1

Versione dell'API da usare per questa operazione.

$maxPageSize
query

integer (int32)

minimum: 10
maximum: 1000

Numero massimo di elementi necessari (inclusi). Minimo = 10, Massimo = 1000, Valore predefinito = 50.

farmBeatsSolutionIds
query

string[]

ID di Data Manager for Agriculture Solutions che il cliente richiede di recuperare.

farmBeatsSolutionNames
query

string[]

Nomi di Data Manager for Agriculture Solutions che il cliente richiede di recuperare.

Risposte

Nome Tipo Descrizione
200 OK

DataManagerForAgricultureSolutionListResponse

Successo

Other Status Codes

ErrorResponse

Errore

Sicurezza

azure_auth

Flusso OAuth2 di Azure Active Directory.

Tipo: oauth2
Flow: implicit
URL di autorizzazione: https://login.microsoftonline.com/common/oauth2/authorize

Ambiti

Nome Descrizione
user_impersonation rappresentare l'account utente

Esempio

SolutionsDiscoverability_List

Esempio di richiesta

GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?api-version=2023-06-01-preview

Risposta di esempio

{
  "value": [
    {
      "id": "/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions/bayerAgPowered.gdu",
      "type": "Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions",
      "systemData": {
        "createdAt": "2022-07-25T10:15:15Z",
        "lastModifiedAt": "2022-07-25T10:15:15Z"
      },
      "properties": {
        "partnerId": "abc",
        "partnerTenantId": "556b0c04-d33e-48d0-9f6f-f893c8c77e00",
        "dataAccessScopes": [
          "string"
        ],
        "marketplaceOfferDetails": {
          "saasOfferId": "saasOfferId",
          "publisherId": "publisherId"
        },
        "openApiSpecsDictionary": {
          "v1": {
            "paths": {
              "/v1/resources/{resourceId}": {
                "get": {
                  "tags": [
                    "Weather"
                  ],
                  "description": "Get weather ingestion job.",
                  "operationId": "Weather_GetDataIngestionJobDetails",
                  "produces": [
                    "application/json"
                  ],
                  "parameters": [
                    {
                      "in": "path",
                      "name": "resourceId",
                      "description": "Id of the job.",
                      "required": true,
                      "type": "string"
                    },
                    {
                      "in": "query",
                      "name": "api-version",
                      "description": "The requested API version",
                      "required": true,
                      "type": "string",
                      "default": "2021-07-31-preview"
                    }
                  ],
                  "responses": {
                    "200": {
                      "description": "Success",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    },
                    "default": {
                      "description": "Error",
                      "schema": {
                        "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                        "type": "object",
                        "properties": {
                          "error": {
                            "description": "An error from the Azure AgPlatform service.",
                            "type": "object",
                            "properties": {
                              "code": {
                                "description": "Server-defined set of error codes.",
                                "type": "string"
                              },
                              "message": {
                                "description": "Human-readable representation of the error.",
                                "type": "string"
                              },
                              "target": {
                                "description": "Target of the error.",
                                "type": "string"
                              },
                              "details": {
                                "description": "Array of details about specific errors that led to this reported error.",
                                "type": "array"
                              }
                            }
                          },
                          "traceId": {
                            "description": "Unique trace Id.",
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "put": {
                  "tags": [
                    "Weather"
                  ],
                  "description": "Create a weather data ingestion job.",
                  "operationId": "Weather_CreateDataIngestionJob",
                  "consumes": [
                    "application/json"
                  ],
                  "produces": [
                    "application/json"
                  ],
                  "parameters": [
                    {
                      "in": "path",
                      "name": "resourceId",
                      "description": "Job id supplied by user.",
                      "required": true,
                      "type": "string"
                    },
                    {
                      "in": "query",
                      "name": "api-version",
                      "description": "The requested API version",
                      "required": true,
                      "type": "string",
                      "default": "2021-07-31-preview"
                    },
                    {
                      "in": "body",
                      "name": "body",
                      "description": "Job parameters supplied by user.",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    }
                  ],
                  "responses": {
                    "202": {
                      "description": "Success",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    },
                    "default": {
                      "description": "Error",
                      "schema": {
                        "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                        "type": "object",
                        "properties": {
                          "error": {
                            "description": "An error from the Azure AgPlatform service.",
                            "type": "object",
                            "properties": {
                              "code": {
                                "description": "Server-defined set of error codes.",
                                "type": "string"
                              },
                              "message": {
                                "description": "Human-readable representation of the error.",
                                "type": "string"
                              },
                              "target": {
                                "description": "Target of the error.",
                                "type": "string"
                              },
                              "details": {
                                "description": "Array of details about specific errors that led to this reported error.",
                                "type": "array"
                              }
                            }
                          },
                          "traceId": {
                            "description": "Unique trace Id.",
                            "type": "string"
                          }
                        }
                      }
                    }
                  },
                  "x-ms-long-running-operation": true,
                  "x-ms-long-running-operation-options": {
                    "final-state-via": "location"
                  }
                }
              }
            },
            "basePath": "/",
            "definitions": {
              "WeatherDataIngestionJob": {
                "description": "Schema of weather ingestion job.",
                "required": [
                  "boundaryId",
                  "extensionApiInput",
                  "extensionApiName",
                  "extensionId",
                  "farmerId"
                ],
                "type": "object",
                "properties": {
                  "boundaryId": {
                    "description": "The id of the boundary object for which weather data is being fetched.",
                    "type": "string"
                  },
                  "farmerId": {
                    "description": "The id of the farmer object for which weather data is being fetched.",
                    "type": "string"
                  },
                  "extensionId": {
                    "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                    "maxLength": 100,
                    "minLength": 2,
                    "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                    "type": "string"
                  },
                  "extensionApiName": {
                    "description": "Extension api name to which request is to be made.",
                    "maxLength": 100,
                    "minLength": 2,
                    "type": "string"
                  },
                  "extensionApiInput": {
                    "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                    "type": "object",
                    "additionalProperties": {
                      "type": "object"
                    }
                  },
                  "extensionDataProviderAppId": {
                    "description": "App id of the weather data provider.",
                    "maxLength": 200,
                    "minLength": 2,
                    "type": "string"
                  },
                  "extensionDataProviderApiKey": {
                    "description": "Api key of the weather data provider.",
                    "maxLength": 200,
                    "minLength": 2,
                    "type": "string"
                  },
                  "id": {
                    "description": "Unique job id.",
                    "type": "string",
                    "readOnly": true
                  },
                  "status": {
                    "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                    "type": "string",
                    "readOnly": true
                  },
                  "durationInSeconds": {
                    "format": "double",
                    "description": "Duration of the job in seconds.",
                    "type": "number",
                    "readOnly": true
                  },
                  "message": {
                    "description": "Status message to capture more details of the job.",
                    "type": "string",
                    "readOnly": true
                  },
                  "createdDateTime": {
                    "format": "date-time",
                    "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "lastActionDateTime": {
                    "format": "date-time",
                    "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "startTime": {
                    "format": "date-time",
                    "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "endTime": {
                    "format": "date-time",
                    "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "name": {
                    "description": "Name to identify resource.",
                    "maxLength": 100,
                    "minLength": 0,
                    "type": "string"
                  },
                  "description": {
                    "description": "Textual description of the resource.",
                    "maxLength": 500,
                    "minLength": 0,
                    "type": "string"
                  },
                  "properties": {
                    "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                    "type": "object",
                    "additionalProperties": {
                      "type": "object"
                    },
                    "example": {
                      "key1": "value1",
                      "key2": 123.45
                    }
                  }
                },
                "additionalProperties": {}
              },
              "ErrorResponse": {
                "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                "type": "object",
                "properties": {
                  "error": {
                    "description": "An error from the Azure AgPlatform service.",
                    "type": "object",
                    "properties": {
                      "code": {
                        "description": "Server-defined set of error codes.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Human-readable representation of the error.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Target of the error.",
                        "type": "string"
                      },
                      "details": {
                        "description": "Array of details about specific errors that led to this reported error.",
                        "type": "array"
                      }
                    }
                  },
                  "traceId": {
                    "description": "Unique trace Id.",
                    "type": "string"
                  }
                }
              },
              "InnerError": {
                "description": "Inner error containing list of errors.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object\">InnerError reference document</see>.",
                "type": "object",
                "properties": {
                  "code": {
                    "description": "Specific error code than was provided by the\r\ncontaining error.",
                    "type": "string"
                  }
                },
                "additionalProperties": {
                  "type": "object"
                }
              },
              "Error": {
                "description": "An error from the Azure AgPlatform service.",
                "type": "object",
                "properties": {
                  "code": {
                    "description": "Server-defined set of error codes.",
                    "type": "string"
                  },
                  "message": {
                    "description": "Human-readable representation of the error.",
                    "type": "string"
                  },
                  "target": {
                    "description": "Target of the error.",
                    "type": "string"
                  },
                  "details": {
                    "description": "Array of details about specific errors that led to this reported error.",
                    "type": "array"
                  }
                }
              }
            },
            "externalDocs": {
              "description": "Find out more about Swagger",
              "url": "http://swagger.io"
            },
            "host": "addon.azurewebsites.net",
            "info": {
              "contact": {
                "email": "apiteam@swagger.io"
              },
              "description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
              "license": {
                "name": "Apache 2.0",
                "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
              },
              "termsOfService": "http://swagger.io/terms/",
              "title": "Swagger Petstore",
              "version": "1.0.6"
            },
            "schemes": [
              "https"
            ],
            "swagger": "2.0"
          }
        },
        "accessFBApplicationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "accessFBApplicationName": "solution provider 1",
        "saaSApplicationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "actionIds": [
          "actionId1"
        ],
        "roleId": "role1",
        "roleName": "roleName1"
      },
      "name": "bayerAgPowered.gdu"
    }
  ]
}

Definizioni

Nome Descrizione
createdByType

Tipo di identità che ha creato la risorsa.

DataManagerForAgricultureSolution

Risorsa della soluzione DataManagerForAgriculture.

DataManagerForAgricultureSolutionListResponse

La risposta a pagina contiene un elenco di oggetti richiesti e un collegamento URL per ottenere il set di risultati successivo.

DataManagerForAgricultureSolutionProperties

Proprietà DataManagerForAgricultureSolution.

ErrorAdditionalInfo

Informazioni aggiuntive sull'errore di gestione delle risorse.

ErrorDetail

Dettagli dell'errore.

ErrorResponse

Risposta di errore

MarketplaceOfferDetails
systemData

Metadati relativi alla creazione e all'ultima modifica della risorsa.

createdByType

Tipo di identità che ha creato la risorsa.

Valore Descrizione
User
Application
ManagedIdentity
Key

DataManagerForAgricultureSolution

Risorsa della soluzione DataManagerForAgriculture.

Nome Tipo Descrizione
id

string (arm-id)

ID risorsa completo per la risorsa. Ad esempio, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Nome della risorsa

properties

DataManagerForAgricultureSolutionProperties

Proprietà DataManagerForAgricultureSolution.

systemData

systemData

Metadati relativi alla creazione e all'ultima modifica della risorsa.

type

string

Tipo della risorsa. Ad esempio, "Microsoft.Compute/virtualMachines" o "Microsoft.Storage/storageAccounts"

DataManagerForAgricultureSolutionListResponse

La risposta a pagina contiene un elenco di oggetti richiesti e un collegamento URL per ottenere il set di risultati successivo.

Nome Tipo Descrizione
$skipToken

string

Token usato per recuperare la pagina successiva. Se null, non sono presenti pagine aggiuntive.

nextLink

string

Collegamento di continuazione (URI assoluto) alla pagina successiva dei risultati nell'elenco.

value

DataManagerForAgricultureSolution[]

Elenco di oggetti richiesti.

DataManagerForAgricultureSolutionProperties

Proprietà DataManagerForAgricultureSolution.

Nome Tipo Descrizione
accessFBApplicationId

string (uuid)

ID applicazione dell'applicazione multi-tenant da usare dal partner per accedere ai dati di Data Manager for Agriculture.

accessFBApplicationName

string

Nome applicazione dell'applicazione multi-tenant da usare dal partner per accedere a Data Manager for Agriculture Data.

actionIds

string[]

Elenco di ActionId necessari per rendere l'applicazione multi-tenant SaaS l'accesso ai dati fb pertinenti.

dataAccessScopes

string[]

Ottiene l'ambito dell'accesso ai dati di Data Manager For Agriculture necessario per l'elaborazione della richiesta di soluzione al partner. Esempio: per gdd potrebbero essere necessari weatherScope e satelliteScope.

marketplaceOfferDetails

MarketplaceOfferDetails

openApiSpecsDictionary

Ottiene il dizionario documenti Swagger versione API per acquisire tutte le versioni api di swagger esposte dal partner a Data Manager For Agriculture.

partnerId

string

ID partner soluzione.

partnerTenantId

string

ID tenant partner della soluzione.

roleId

string

ID ruolo dell'applicazione multi-tenant SaaS per accedere ai dati fb pertinenti.

roleName

string

Nome ruolo dell'applicazione multi-tenant SaaS per accedere ai dati fb pertinenti.

saaSApplicationId

string

ID applicazione dell'applicazione multi-tenant SaaS.

ErrorAdditionalInfo

Informazioni aggiuntive sull'errore di gestione delle risorse.

Nome Tipo Descrizione
info

object

Informazioni aggiuntive.

type

string

Tipo di informazioni aggiuntive.

ErrorDetail

Dettagli dell'errore.

Nome Tipo Descrizione
additionalInfo

ErrorAdditionalInfo[]

Informazioni aggiuntive sull'errore.

code

string

Codice di errore.

details

ErrorDetail[]

Dettagli dell'errore.

message

string

Messaggio di errore.

target

string

Destinazione dell'errore.

ErrorResponse

Risposta di errore

Nome Tipo Descrizione
error

ErrorDetail

Oggetto error.

MarketplaceOfferDetails

Nome Tipo Descrizione
publisherId

string

saasOfferId

string

systemData

Metadati relativi alla creazione e all'ultima modifica della risorsa.

Nome Tipo Descrizione
createdAt

string (date-time)

Timestamp della creazione della risorsa (UTC).

createdBy

string

Identità che ha creato la risorsa.

createdByType

createdByType

Tipo di identità che ha creato la risorsa.

lastModifiedAt

string (date-time)

Timestamp dell'ultima modifica della risorsa (UTC)

lastModifiedBy

string

Identità che ha modificato l'ultima volta la risorsa.

lastModifiedByType

createdByType

Tipo di identità che ha modificato l'ultima volta la risorsa.